import { CookieCategories, CookieConsent, CookieConsentSettings, CookieSettings, SavedObj, UsedCats } from '../types/settings';

type Store = {
    settings: CookieConsentSettings | null;
    categories: UsedCats;
};
export declare const openedCat: import('nanostores').WritableAtom<string | null>;
export declare const activatedCats: import('nanostores').MapStore<SavedObj>;
export declare const activatedCoks: import('nanostores').MapStore<SavedObj>;
export declare const showPanel: import('nanostores').WritableAtom<boolean>;
export declare const view: import('nanostores').WritableAtom<"h" | "d">;
export declare const store: import('nanostores').MapStore<Store>;
export declare const cookies: import('nanostores').WritableAtom<CookieSettings[]>;
export declare const cookiesByCat: (cat: CookieCategories | string) => CookieSettings[];
export declare const isCatOpen: (cat: string) => import('nanostores').ReadableAtom<boolean>;
export declare const setAcCat: (cat: CookieCategories | string, val: boolean) => void;
export declare const setAcCok: (cok: string, val: boolean) => void;
export declare const changeView: (v: "h" | "d") => void;
export declare const openCat: (cat: string) => void;
export declare const openPanel: () => void;
export declare const hidePanel: () => void;
export declare const catIsActive: (cat: CookieCategories | string) => boolean;
/**
 * @description nanostores based store for cookie consent
 */
export declare const consentStore: import('nanostores').DeepMapStore<CookieConsent>;
export declare const hasConsent: (name: string) => import('nanostores').ReadableAtom<boolean>;
export {};
